package com.huiju.estateagents;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableAsync
@EnableScheduling
@SpringBootApplication
public class EstateagentsApplication {

	public static void main(String[] args) {
		SpringApplication springApplication = new SpringApplication(EstateagentsApplication.class);
		ConfigurableApplicationContext configurableApplicationContext = springApplication.run(args);
	}

}
